### Method

# Handy Avatar set_icon_name

since: 1.0

#### Declaration [src]

    void
    hdy_avatar_set_icon_name (
      HdyAvatar* self,
      const gchar* icon_name
    )

#### Description [src]

Sets the name of an icon to use as a fallback.

If no name is set, `avatar-default-symbolic` will be used.

Available since: 1.0

Sets property | `Handy.Avatar:icon-name`

#### Parameters

`icon_name`

  Type: `const gchar*`

  The name of the icon from the icon theme.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.